### Function

# Gimp drawables_popup

deprecated: 3.2

#### Declaration [src]

    gboolean
    gimp_drawables_popup (
      const gchar* callback,
      const gchar* popup_title,
      const gchar* drawable_type,
      GimpDrawable* initial_drawable,
      GBytes* parent_window
    )

#### Description [src]

Invokes the drawable selection dialog.

Opens a dialog letting a user choose an drawable.

Deprecated since: 3.2

Use `gimp_items_popup()` instead.

#### Parameters

`callback`

  Type: `const gchar*`

  The callback PDB proc to call when user chooses an drawable.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`popup_title`

  Type: `const gchar*`

  Title of the drawable selection dialog.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`drawable_type`

  Type: `const gchar*`

  The name of the GIMP_TYPE_DRAWABLE subtype.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`initial_drawable`

  Type: `GimpDrawable`

  The drawable to set as the initial choice.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`parent_window`

  Type: `GBytes`

  An optional parent window handle for the popup to be set transient to.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

TRUE on success.